package com.bankaudit.model;

import java.io.Serializable;
import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

@Entity
@Table(name="maint_audit_subgroup")
public class MaintAuditSubgroup implements Serializable {
/*	Table: maint_audit_subgroup
	-------------------------------

	Column Information
	----------------------

	Field                   Type          Collation          Null    Key     Default            Extra                        Privileges                       Comment  
	----------------------  ------------  -----------------  ------  ------  -----------------  ---------------------------  -------------------------------  ---------
	legal_entity_code       int(2)        (NULL)             NO      PRI     (NULL)                                          select,insert,update,references           
	audit_type_code         varchar(20)   latin1_swedish_ci  NO      PRI     (NULL)                                          select,insert,update,references           
	audit_group_code        varchar(20)   latin1_swedish_ci  NO      PRI     (NULL)                                          select,insert,update,references           
	audit_sub_group_code    varchar(20)   latin1_swedish_ci  NO      PRI     (NULL)                                          select,insert,update,references           
	audit_sub_group_name    varchar(50)   latin1_swedish_ci  NO              (NULL)                                          select,insert,update,references           
	entity_status           varchar(20)   latin1_swedish_ci  YES             (NULL)                                          select,insert,update,references           
	auth_rej_remarks        varchar(200)  latin1_swedish_ci  YES             (NULL)                                          select,insert,update,references           
	status                  varchar(20)   latin1_swedish_ci  NO              (NULL)                                          select,insert,update,references           
	maker                   varchar(20)   latin1_swedish_ci  NO              (NULL)                                          select,insert,update,references           
	maker_timestamp         timestamp     (NULL)             NO              CURRENT_TIMESTAMP  on update CURRENT_TIMESTAMP  select,insert,update,references           
	checker                 varchar(20)   latin1_swedish_ci  YES             (NULL)                                          select,insert,update,references           
	checker_timestamp       timestamp     (NULL)             YES             (NULL)                                          select,insert,update,references           
	businessdate_timestamp  timestamp     (NULL)             YES             (NULL)                                          select,insert,update,references           
	sysdate_timestamp       timestamp     (NULL)  */

	@Id
	@Column(name="legal_entity_code")
	private Integer legalEntityCode;
	
	@Id
	@Column(name="audit_type_code")
	private String auditTypeCode;
	
	@Id
	@Column(name="audit_group_code")
	private String auditGroupCode;
	
	@Id
	@Column(name="audit_sub_group_code")
	private String auditSubGroupCode;

	@Column(name="audit_sub_group_name")
	private String auditSubGroupName;
	
	@Column(name="audit_sub_group_name_hindi")
	private String auditSubGroupNameHindi;
	
	@Column(name="entity_status")
	private String entityStatus;
	
	@Column(name="auth_rej_remarks")
	private String authRejRemarks;
	
	@Column(name="status")
	private String status;
	
	@Column(name="maker")
	private String maker;
	
	@Column(name="maker_timestamp")
	private Date makerTimestamp;
	
	@Column(name="checker")
	private String checker;
	
	@Column(name="checker_timestamp")
	private Date checkerTimestamp;
	
	@Column(name="businessdate_timestamp")
	private Date businessdateTimestamp;
	
	@Column(name="sysdate_timestamp")
	private Date sysdateTimestamp;
	
	
	private transient String auditGroupName;
	
	
	/**
	 * @return the authRejRemarks
	 */
	public String getAuthRejRemarks() {
		return authRejRemarks;
	}

	/**
	 * @param authRejRemarks the authRejRemarks to set
	 */
	public void setAuthRejRemarks(String authRejRemarks) {
		this.authRejRemarks = authRejRemarks;
	}

	/**
	 * @return the auditGroupName
	 */
	public String getAuditGroupName() {
		return auditGroupName;
	}

	/**
	 * @param auditGroupName the auditGroupName to set
	 */
	public void setAuditGroupName(String auditGroupName) {
		this.auditGroupName = auditGroupName;
	}

	/**
	 * @return the legalEntityCode
	 */
	public Integer getLegalEntityCode() {
		return legalEntityCode;
	}

	/**
	 * @param legalEntityCode the legalEntityCode to set
	 */
	public void setLegalEntityCode(Integer legalEntityCode) {
		this.legalEntityCode = legalEntityCode;
	}

	/**
	 * @return the auditTypeCode
	 */
	public String getAuditTypeCode() {
		return auditTypeCode;
	}

	/**
	 * @param auditTypeCode the auditTypeCode to set
	 */
	public void setAuditTypeCode(String auditTypeCode) {
		this.auditTypeCode = auditTypeCode;
	}

	/**
	 * @return the auditGroupCode
	 */
	public String getAuditGroupCode() {
		return auditGroupCode;
	}

	/**
	 * @param auditGroupCode the auditGroupCode to set
	 */
	public void setAuditGroupCode(String auditGroupCode) {
		this.auditGroupCode = auditGroupCode;
	}

	/**
	 * @return the auditSubGroupCode
	 */
	public String getAuditSubGroupCode() {
		return auditSubGroupCode;
	}

	/**
	 * @param auditSubGroupCode the auditSubGroupCode to set
	 */
	public void setAuditSubGroupCode(String auditSubGroupCode) {
		this.auditSubGroupCode = auditSubGroupCode;
	}

	/**
	 * @return the auditSubGroupName
	 */
	public String getAuditSubGroupName() {
		return auditSubGroupName;
	}

	/**
	 * @param auditSubGroupName the auditSubGroupName to set
	 */
	public void setAuditSubGroupName(String auditSubGroupName) {
		this.auditSubGroupName = auditSubGroupName;
	}

	public String getAuditSubGroupNameHindi() {
		return auditSubGroupNameHindi;
	}

	public void setAuditSubGroupNameHindi(String auditSubGroupNameHindi) {
		this.auditSubGroupNameHindi = auditSubGroupNameHindi;
	}

	public String getEntityStatus() {
		return entityStatus;
	}

	public void setEntityStatus(String entityStatus) {
		this.entityStatus = entityStatus;
	}

	/**
	 * @return the status
	 */
	public String getStatus() {
		return status;
	}

	/**
	 * @param status the status to set
	 */
	public void setStatus(String status) {
		this.status = status;
	}

	/**
	 * @return the maker
	 */
	public String getMaker() {
		return maker;
	}

	/**
	 * @param maker the maker to set
	 */
	public void setMaker(String maker) {
		this.maker = maker;
	}

	/**
	 * @return the makerTimestamp
	 */
	public Date getMakerTimestamp() {
		return makerTimestamp;
	}

	/**
	 * @param makerTimestamp the makerTimestamp to set
	 */
	public void setMakerTimestamp(Date makerTimestamp) {
		this.makerTimestamp = makerTimestamp;
	}

	/**
	 * @return the checker
	 */
	public String getChecker() {
		return checker;
	}

	/**
	 * @param checker the checker to set
	 */
	public void setChecker(String checker) {
		this.checker = checker;
	}

	/**
	 * @return the checkerTimestamp
	 */
	public Date getCheckerTimestamp() {
		return checkerTimestamp;
	}

	/**
	 * @param checkerTimestamp the checkerTimestamp to set
	 */
	public void setCheckerTimestamp(Date checkerTimestamp) {
		this.checkerTimestamp = checkerTimestamp;
	}

	/**
	 * @return the businessdateTimestamp
	 */
	public Date getBusinessdateTimestamp() {
		return businessdateTimestamp;
	}

	/**
	 * @param businessdateTimestamp the businessdateTimestamp to set
	 */
	public void setBusinessdateTimestamp(Date businessdateTimestamp) {
		this.businessdateTimestamp = businessdateTimestamp;
	}

	/**
	 * @return the sysdateTimestamp
	 */
	public Date getSysdateTimestamp() {
		return sysdateTimestamp;
	}

	/**
	 * @param sysdateTimestamp the sysdateTimestamp to set
	 */
	public void setSysdateTimestamp(Date sysdateTimestamp) {
		this.sysdateTimestamp = sysdateTimestamp;
	}
	
	
}
